name: nf-core AWS test
# This workflow can be triggered manually with the GitHub actions workflow dispatch button.
# It runs the -profile 'test' on AWS batch

on:
  workflow_dispatch:
jobs:
  run-tower:
    name: Run AWS tests
    if: github.repository == 'nf-core/preprocessing'
    runs-on: ubuntu-latest
    steps:
      # Launch workflow using Tower CLI tool action
      - name: Launch workflow via tower
        uses: nf-core/tower-action@v3
        with:
          workspace_id: ${{ secrets.TOWER_WORKSPACE_ID }}
          access_token: ${{ secrets.TOWER_ACCESS_TOKEN }}
          compute_env: ${{ secrets.TOWER_COMPUTE_ENV }}
          workdir: s3://${{ secrets.AWS_S3_BUCKET }}/work/preprocessing/work-${{ github.sha }}
          parameters: |
            {
              "outdir": "s3://${{ secrets.AWS_S3_BUCKET }}/preprocessing/results-test-${{ github.sha }}"
            }
          profiles: test,aws_tower
          nextflow_config: |
            process.errorStrategy = 'retry'
            process.maxRetries = 3
